### Class

# Shell SecureTextBuffer

#### Description

    final class Shell.SecureTextBuffer : Clutter.TextBuffer
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- ClutterTextBuffer
- GObject

#### Constructors

###### shell_secure_text_buffer_new

No description available.

#### Instance methods

##### Methods inherited from ClutterTextBuffer (10)

###### clutter_text_buffer_delete_text

Deletes a sequence of characters from the buffer. `n_chars` characters are deleted starting at `position`. If `n_chars` is negative, then all characters until the end of the text are deleted.

###### clutter_text_buffer_emit_deleted_text

Emits the `ClutterTextBuffer::deleted-text` signal on `buffer`.

###### clutter_text_buffer_emit_inserted_text

Emits the `ClutterTextBuffer::inserted-text` signal on `buffer`.

###### clutter_text_buffer_get_bytes

Retrieves the length in bytes of the buffer. See `clutter_text_buffer_get_length()`.

###### clutter_text_buffer_get_length

Retrieves the length in characters of the buffer.

###### clutter_text_buffer_get_max_length

Retrieves the maximum allowed length of the text in `buffer`. See `clutter_text_buffer_set_max_length()`.

###### clutter_text_buffer_get_text

Retrieves the contents of the buffer.

###### clutter_text_buffer_insert_text

Inserts `n_chars` characters of `chars` into the contents of the buffer, at position `position`.

###### clutter_text_buffer_set_max_length

Sets the maximum allowed length of the contents of the buffer.

###### clutter_text_buffer_set_text

Sets the text in the buffer.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from ClutterTextBuffer (3)

###### Clutter.TextBuffer:length

The length (in characters) of the text in buffer.

###### Clutter.TextBuffer:max-length

The maximum length (in characters) of the text in the buffer.

###### Clutter.TextBuffer:text

The contents of the buffer.

#### Signals

##### Signals inherited from ClutterTextBuffer (2)

###### ClutterTextBuffer::deleted-text

This signal is emitted after text is deleted from the buffer.

###### ClutterTextBuffer::inserted-text

This signal is emitted after text is inserted into the buffer.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ShellSecureTextBufferClass {
      ClutterTextBufferClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClutterTextBufferClass`

  No description available.